<?php
/**
 * Plugin Name:       افزونه پیامک SMSOne
 * Plugin URI:        https://webone-sms.ir
 * Description:       افزونه پیامک SMSOne راهکار ارسال انواع پیامک ها در وردپرس
 * Version:           1.2.3
 * Requires at least: 6.0
 * Requires PHP:      7.2
 * Author:            webone
 * Author URI:        https://webone.co
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */

if (!defined('ABSPATH')) {
    exit;
}

define('WEBONE_SMS_PLUGIN_VERSION'   , '1.2.3');
define('WEBONE_SMS_PLUGIN_FILE'      , __FILE__);
define('WEBONE_SMS_PLUGIN_DIR_PATH'  , plugin_dir_path(WEBONE_SMS_PLUGIN_FILE));
define('WEBONE_SMS_PLUGIN_URL'       , plugin_dir_url(WEBONE_SMS_PLUGIN_FILE));
define('WEBONE_SMS_CLASSES_NAMESPACE', 'WeboneSMS\WeboneSMS\\');

include_once __DIR__ . '/includes/libs/ion-checker/ion-checker.php';
if (!empty($ioncube_error_checker)){
    add_action('admin_notices', function () use ($ioncube_error_checker){printf('<div class="notice notice-error notice-alt"> <p>%s</p> </div>',implode('<hr>',$ioncube_error_checker));},1);
    return;
}

require_once __DIR__ . '/includes/WeboneSMS.php';

function dd($arg)
{
	echo "<pre style='direction: ltr; text-align:left';>";
	var_dump($arg);
	echo "</pre>";
	die;
}

function webone_sms()
{	
    $webone_sms = new WeboneSMS();
    $webone_sms->run();
}
webone_sms();